converters/libiconv - The NetBSD Packages Collection

Character set conversion library

libiconv is a character set conversion library that provides an iconv()
implementation for use on systems which don't have one, or whose
implementation cannot convert from/to Unicode.

It provides support for many encodings and can convert from any of
these encodings to any other, through Unicode conversion.

It has also some limited support for transliteration, i.e. when a character
cannot be represented in the target character set, it can be approximated
through one or several similarly looking characters.  Transliteration is
activated when "//TRANSLIT" is appended to the target encoding name.

libiconv is for you if your application needs to support multiple character
encodings, but that support lacks from your system.

Build dependencies

pkgtools/cwrappers devel/libtool-base

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hflibiconv-1.14nb3.tgz
NetBSD 8.0earmv7hflibiconv-1.14nb3.tgz
NetBSD 8.0earmv7hflibiconv-1.14nb3.tgz
NetBSD 8.0i386libiconv-1.14nb3.tgz
NetBSD 8.0i386libiconv-1.14nb3.tgz
NetBSD 8.0powerpclibiconv-1.14nb3.tgz
NetBSD 8.0powerpclibiconv-1.14nb3.tgz
NetBSD 8.0powerpclibiconv-1.14nb3.tgz
NetBSD 8.0powerpclibiconv-1.14nb3.tgz
NetBSD 8.0x86_64libiconv-1.14nb3.tgz
NetBSD 8.0x86_64libiconv-1.14nb3.tgz
NetBSD 9.0aarch64libiconv-1.14nb3.tgz
NetBSD 9.0aarch64libiconv-1.14nb3.tgz
NetBSD 9.0aarch64libiconv-1.14nb3.tgz
NetBSD 9.0alphalibiconv-1.14nb3.tgz
NetBSD 9.0alphalibiconv-1.14nb3.tgz
NetBSD 9.0alphalibiconv-1.14nb3.tgz
NetBSD 9.0earmlibiconv-1.14nb3.tgz
NetBSD 9.0earmlibiconv-1.14nb3.tgz
NetBSD 9.0earmlibiconv-1.14nb3.tgz
NetBSD 9.0earmv6hflibiconv-1.14nb3.tgz
NetBSD 9.0earmv6hflibiconv-1.14nb3.tgz
NetBSD 9.0earmv6hflibiconv-1.14nb3.tgz
NetBSD 9.0earmv7hflibiconv-1.14nb3.tgz
NetBSD 9.0earmv7hflibiconv-1.14nb3.tgz
NetBSD 9.0earmv7hflibiconv-1.14nb3.tgz
NetBSD 9.0earmv7hflibiconv-1.14nb3.tgz
NetBSD 9.0i386libiconv-1.14nb3.tgz
NetBSD 9.0i386libiconv-1.14nb3.tgz
NetBSD 9.0i386libiconv-1.14nb3.tgz
NetBSD 9.0m68klibiconv-1.14nb3.tgz
NetBSD 9.0m68klibiconv-1.14nb3.tgz
NetBSD 9.0m68klibiconv-1.14nb3.tgz
NetBSD 9.0m68klibiconv-1.14nb3.tgz
NetBSD 9.0mips64eblibiconv-1.14nb3.tgz
NetBSD 9.0mips64eblibiconv-1.14nb3.tgz
NetBSD 9.0mips64eblibiconv-1.14nb3.tgz
NetBSD 9.0mips64eblibiconv-1.14nb3.tgz
NetBSD 9.0mips64eblibiconv-1.14nb3.tgz
NetBSD 9.0mipsellibiconv-1.14nb3.tgz
NetBSD 9.0mipsellibiconv-1.14nb3.tgz
NetBSD 9.0mipsellibiconv-1.14nb3.tgz
NetBSD 9.0mipsellibiconv-1.14nb3.tgz
NetBSD 9.0powerpclibiconv-1.14nb3.tgz
NetBSD 9.0powerpclibiconv-1.14nb3.tgz
NetBSD 9.0powerpclibiconv-1.14nb3.tgz
NetBSD 9.0powerpclibiconv-1.14nb3.tgz
NetBSD 9.0sh3ellibiconv-1.14nb3.tgz
NetBSD 9.0sh3ellibiconv-1.14nb3.tgz
NetBSD 9.0sh3ellibiconv-1.14nb3.tgz
NetBSD 9.0sh3ellibiconv-1.14nb3.tgz
NetBSD 9.0sh3ellibiconv-1.14nb3.tgz
NetBSD 9.0sparc64libiconv-1.14nb3.tgz
NetBSD 9.0sparc64libiconv-1.14nb3.tgz
NetBSD 9.0sparc64libiconv-1.14nb3.tgz
NetBSD 9.0sparclibiconv-1.14nb3.tgz
NetBSD 9.0sparclibiconv-1.14nb3.tgz
NetBSD 9.0sparclibiconv-1.14nb3.tgz
NetBSD 9.0sparclibiconv-1.14nb3.tgz
NetBSD 9.0sparclibiconv-1.14nb3.tgz
NetBSD 9.0vaxlibiconv-1.14nb3.tgz
NetBSD 9.0vaxlibiconv-1.14nb3.tgz
NetBSD 9.0vaxlibiconv-1.14nb3.tgz
NetBSD 9.0vaxlibiconv-1.14nb3.tgz
NetBSD 9.0x86_64libiconv-1.14nb3.tgz
NetBSD 9.0x86_64libiconv-1.14nb3.tgz
NetBSD 9.0x86_64libiconv-1.14nb3.tgz
NetBSD 9.0x86_64libiconv-1.14nb3.tgz
NetBSD 9.0x86_64libiconv-1.14nb3.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.